package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.List;

import org.springframework.stereotype.Component;

/**
 * 分页类
 * 
 * @author admin
 *
 */
@Component
public class PageEty implements Serializable {

	private int pageNo;
	private int pageSize;
	private List data;
	private int dataCount;
	private int pageCount;

	public int getPageCount() {
		return pageCount;
	}

	public void setPageCount(int pageCount) {
		this.pageCount = pageCount;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public List getData() {
		return data;
	}

	public void setData(List data) {
		this.data = data;
	}

	public int getDataCount() {
		return dataCount;
	}

	public void setDataCount(int dataCount) {
		this.dataCount = dataCount;
	}

	@Override
	public String toString() {
		return "PageEty [pageNo=" + pageNo + ", pageSize=" + pageSize + ", data=" + data + ", dataCount=" + dataCount
				+ ", pageCount=" + pageCount + ", getPageCount()=" + getPageCount() + ", getPageNo()=" + getPageNo()
				+ ", getPageSize()=" + getPageSize() + ", getData()=" + getData() + ", getDataCount()=" + getDataCount()
				+ ", getClass()=" + getClass() + ", hashCode()=" + hashCode() + ", toString()=" + super.toString()
				+ "]";
	}

}
